/*
Theme Name: X
Theme URI: http://www.wpbeaverbuilder.com
Version: 13
Description: X BB Child Theme.
Author: NetShapers, Inc.
Author URI: http://www.netshapers.com
template: bb-theme
*/




/* Footer Menu Link Color */
.footer-menu li.current-menu-item > a {
	color: #ffc05b !important;
}

.footer-menu li.current-menu-item > a:hover {
	color: #fff !important;
}



/* font converted using font-converter.net. thank you! */
@font-face {
  font-family: "Aurora";
  src: url("/wp-content/themes/bb-theme-child/fonts/AuroraBoldCondensedBT.woff") format("woff"), /* Modern Browsers */
    url("/wp-content/themes/bb-theme-child/fonts/AuroraBoldCondensedBT.woff2") format("woff2"); /* Modern Browsers */
  font-weight: normal;
  font-style: normal;
}




/* GLOBAL STYLING CLASSES ------------------------------------------------ */
.shadow, .shadow span { text-shadow: 0 0 20px rgba(0, 0, 0, 0.45); }
.shadow-and-dropshadow {
        text-shadow: 0 0 20px rgba(0, 0, 0, 0.45),2px 2px 0px rgba(0, 0, 0, 0.35);
}
.dropshadow {
        text-shadow: 2px 2px 0px rgba(0, 0, 0, 0.85);
}
.outline-and-dropshadow {
	    text-shadow: 2px 2px 0px rgba(0, 0, 0, 0.5),
			1px 1px 0px rgba(0, 0, 0, 0.5),
			1px -1px 0px rgba(0, 0, 0, 0.5),
			-1px 1px 0px rgba(0, 0, 0, 0.5),
			-1px -1px 0px rgba(0, 0, 0, 0.5);
}
.glow, .glow span { text-shadow: 0 0 20px rgba(255, 255, 255, 0.65); }
.imgshadow img {        
  -webkit-filter: drop-shadow(0px 0px 10px rgba(0, 0, 0, 0.45));
  filter: drop-shadow(0px 0px 10px rgba(0, 0, 0, 0.45));
}
.inner-shadow, .inner-shadow .fl-row-content-wrap { box-shadow: 0 0 40px rgba(0, 0, 0, 0.5) 
inset, 0 0 20px rgba(0, 0, 0, 0.5) inset;}
.no-hyphens { word-wrap:normal; -moz-hyphens:none; }
.uppercase, .uppercase span { text-transform: uppercase; }
.gradient-blue-purple {
        background-image: -webkit-linear-gradient(135deg, #461073 0%, #007BB1 100%);
        background-image: linear-gradient(-45deg, #461073 0%, #007BB1 100%);
}
.row-fade, row-fade .fl-row-content-wrap { box-shadow: inset 0 200px 300px -200px rgba(0, 0, 
0, 0.4); }
.gradient-text {
	background: linear-gradient(to top, #001c49 40%, #068cd1 70%);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}
.background-text {
  background: url(https://images.unsplash.com/photo-1515266591878-f93e32bc5937) 25% 30% no-repeat;
  background-size: cover;
  -webkit-text-fill-color: transparent;
  background-clip: text;
}

/* LET BACKGROUND SHOW THROUGH */
.fl-page-content { background-color: transparent; }

/* SMOOTH HOVERS */
a {
        transition-property: all;
        transition-duration: 0.3s;
        transition-timing-function: ease-in-out;
        transition-delay: 0s;
}

/* REMOVE LINES FROM CLICKED LINKS */
a:focus { outline: none; }


/* MOBILE -------------------------------------------------------------- */
@media screen and (max-width: 768px) {

/* CALL NOW */
.call-now-row {
	position: fixed;
	bottom: 0;
	z-index: 999;
	width:100%;
}

}

/* GENERIC STYLES ----------------------------------------------------- */

/* ROUNDED CORNERS FOR CELL BACKGROUNDS AND IMAGES */
.ss-rounded-corners img, .ss-rounded-corners > .fl-col-content {
    border-radius: 10px;
}

/* BEAVER BUILDER PHOTO MODULE EFFECTS */
/* Zoom in on hover - .hover-zoom-in */
.hover-zoom-in .fl-photo-content {
  overflow: hidden;
}
.hover-zoom-in .fl-photo-content .fl-photo-img {
  -webkit-transition: 0.3s ease-in-out;
          transition: 0.3s ease-in-out;
  will-change: transform;
}
.hover-zoom-in .fl-photo-content .fl-photo-img:hover {
  -webkit-transition: 0.3s ease-in-out;
          transition: 0.3s ease-in-out;
  -webkit-transform: scale(1.3);
          transform: scale(1.3);
}

/*  Zoom out on hover - .hover-zoom-out  */
.hover-zoom-out .fl-photo-content {
  overflow: hidden;
}
.hover-zoom-out .fl-photo-content .fl-photo-img {
  -webkit-transition: 0.3s ease-in-out;
          transition: 0.3s ease-in-out;
  -webkit-transform: scale(1.3);
          transform: scale(1.3);
  will-change: transform;
}
.hover-zoom-out .fl-photo-content .fl-photo-img:hover {
  -webkit-transition: 0.3s ease-in-out;
          transition: 0.3s ease-in-out;
  -webkit-transform: scale(1);
          transform: scale(1);
}

/* Unblur on hover - .hover-unblur */
.hover-unblur .fl-photo-content {
  overflow: hidden;
  -webkit-backface-visibility: hidden;
}
.hover-unblur .fl-photo-content .fl-photo-img {
  -webkit-filter: blur(3px);
          filter: blur(3px);
  -webkit-transition: .3s ease-in-out;
          transition: .3s ease-in-out;
  will-change: filter;
}
.hover-unblur .fl-photo-content .fl-photo-img:hover {
  -webkit-filter: blur(0);
          filter: blur(0);
}

/* Grayscale To Color .gray-scale-img */
.gray-scale-img .fl-photo-content {
  overflow: hidden;
  -webkit-backface-visibility: hidden;
}
.gray-scale-img .fl-photo-content .fl-photo-img {
  -webkit-filter: grayscale(100%);
          filter: grayscale(100%);
  -webkit-transition: .3s ease-in-out;
          transition: .3s ease-in-out;
  will-change: filter;
}
.gray-scale-img .fl-photo-content .fl-photo-img:hover {
  -webkit-filter: grayscale(0);
          filter: grayscale(0);
}


/* Hover Opacity - Change image opacity on hover */
.simple-opacity .fl-photo-content A:hover { opacity: 0.88; }

/* Hover Effect Darken - Darken image and display an icon */
.hover-darken A         { color: #FFFFFF; }
.hover-darken A:hover   { text-decoration: none; }
.hover-darken .fl-photo-content A:hover::before
{
 background-color: #000;
 background-color: rgba(0, 0, 0, 0.5);
 -webkit-transition: 0.4s ease-in-out;
 -moz-transition: 0.4s ease-in-out;
 -o-transition: 0.4s ease-in-out;
 transition: 0.4s ease-in-out;
}

/* this adds the icon you could remove.
Use a unicode if your theme does have the FontAwesome library loaded */
.hover-darken .fl-photo-content A:hover::before
{
 font-family: FontAwesome;
 content: "\f00e";
 color: #FFFFFF;
 display: flex;
 align-items: center;
 justify-content: center;
 font-size: 30px;
}
.hover-darken .fl-photo-content A::before
{
 content: "";
 height: 100%;
 position: absolute;
 top: 0;
 left: 0;
 width: 100%;
 -webkit-transition: 0.4s ease-in-out;
 -moz-transition: 0.4s ease-in-out;
 -o-transition: 0.4s ease-in-out;
 transition: 0.4s ease-in-out;
 pointer-events: all;
}


/* Hover Effect Center Caption - Changes the background and centers the caption */
.hover-center-caption .fl-photo-caption-hover
{
 background-color: #FFC619;
 height: 100%;
 font-weight: bold;
 display: flex;
 align-items: center;
 justify-content: center;
 font-size: 16px;
 pointer-events: none;
 white-space: normal; /*if only one line remove this*/
}
.hover-center-caption .fl-photo-caption A
{
 color: #000000;
 text-decoration: underline;
}


/* REPLACE BULLETS WITH FONTICONS */
.fl-content .icon-bullets-one UL
{
list-style: none;
padding:0;
margin:0 0 0 28px;
text-indent:-28px;
line-height: 2.4;
}
.fl-content .icon-bullets-one LI::before
{
font-family:FontAwesome;
content: "\f00c ";
margin-right: 8px;
color:lightgreen;
font-size: 20px;
}


/* Remove the bottom border from the header
// if you do not add this there will be a faint line under your header */
header .fl-page-header-wrap { border-bottom: 0; }
body {  background-color: transparent; }
/* FOR GREATER THAN THE MEDIUM DEVICE BREAKPOINT */
@media screen and (min-width: 993px) {
        /* ROW STYLING */
        .top-banner .fl-row-content-wrap{
            margin-top: -115px; 
            padding-top: 200px; 
            padding-bottom: 80px;
        }
}

